Endpoint Groups
Model Runs
Model Runs operations within the Models API group.
List model runsGET
/model-runs
Operation ID
listModelRunsQuery Parameters
| Name | Type | Required | Description |
|---|---|---|---|
max_results |
integer |
false |
- |
page_token |
string |
false |
- |
status |
string |
false |
- |
Responses
| Code | Description |
|---|---|
200 |
The request has succeeded. |
400 |
The server could not understand the request due to invalid syntax. |
401 |
Access is unauthorized. |
429 |
Client error |
500 |
Server error |
Trigger model runPOST
/model-runs
Operation ID
triggerModelRunRequest Body
- Required:
true - Content types:
application/json
Responses
| Code | Description |
|---|---|
201 |
The request has succeeded and a new resource has been created as a result. |
400 |
The server could not understand the request due to invalid syntax. |
401 |
Access is unauthorized. |
403 |
Access is forbidden. |
429 |
Client error |
500 |
Server error |
Get model runGET
/model-runs/{runId}
Operation ID
getModelRunPath Parameters
| Name | Type | Required | Description |
|---|---|---|---|
runId |
string |
true |
- |
Responses
| Code | Description |
|---|---|
200 |
The request has succeeded. |
400 |
The server could not understand the request due to invalid syntax. |
401 |
Access is unauthorized. |
403 |
Access is forbidden. |
404 |
The server cannot find the requested resource. |
429 |
Client error |
500 |
Server error |
Cancel model runPOST
/model-runs/{runId}/cancel
Operation ID
cancelModelRunPath Parameters
| Name | Type | Required | Description |
|---|---|---|---|
runId |
string |
true |
- |
Responses
| Code | Description |
|---|---|
200 |
The request has succeeded. |
400 |
The server could not understand the request due to invalid syntax. |
401 |
Access is unauthorized. |
403 |
Access is forbidden. |
429 |
Client error |
500 |
Server error |
List model run stepsGET
/model-runs/{runId}/steps
Operation ID
listModelRunStepsPath Parameters
| Name | Type | Required | Description |
|---|---|---|---|
runId |
string |
true |
- |
Responses
| Code | Description |
|---|---|
200 |
The request has succeeded. |
400 |
The server could not understand the request due to invalid syntax. |
401 |
Access is unauthorized. |
403 |
Access is forbidden. |
404 |
The server cannot find the requested resource. |
429 |
Client error |
500 |
Server error |
List model test resultsGET
/model-runs/{runId}/steps/{stepId}/test-results
Operation ID
listModelTestResultsPath Parameters
| Name | Type | Required | Description |
|---|---|---|---|
runId |
string |
true |
- |
stepId |
string |
true |
- |
Responses
| Code | Description |
|---|---|
200 |
The request has succeeded. |
400 |
The server could not understand the request due to invalid syntax. |
401 |
Access is unauthorized. |
403 |
Access is forbidden. |
404 |
The server cannot find the requested resource. |
429 |
Client error |
500 |
Server error |